%define upstream_name Config-Record
%define upstream_version 1.1.2

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 8
Summary:        Perl module for Configuration file access

Group:          Development/Perl
License:        GPLv2+
URL:            http://search.cpan.org/dist/%{upstream_name}
Source:         http://www.cpan.org/authors/id/D/DA/DANBERR/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

%description
Config::Record provides a module for loading configuration
records. It supports scalar, array and hash parameters nested
to an arbitrary depth.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%doc AUTHORS CHANGES LICENSE README
%{perl_vendorlib}/Config/
%{_mandir}/man3/*.3pm*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.1.2-8.mga6
+ Revision: 1024314
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.1.2-7.mga6
+ Revision: 968906
- Mageia 6 Mass Rebuild

* Fri Jul 24 2015 sander85 <sander85> 1.1.2-6.mga6
+ Revision: 856881
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-5.mga5
+ Revision: 745631
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 683998
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 510267
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 364704
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 saispo <saispo> 1.1.2-1.mga1
+ Revision: 72167
- imported package perl-Config-Record

